Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dfs.chardet
Class nsDetector

    java.lang.Object
      com.knowgate.dfs.chardet.nsPSMDetector
          com.knowgate.dfs.chardet.nsDetector

All Implemented Interfaces:
  nsICharsetDetector

    public class nsDetector

extends nsPSMDetector
implements nsICharsetDetector

Field Summary

Fields inherited from class com.knowgate.dfs.chardet.nsPSMDetector
`ALL, CHINESE, JAPANESE, KOREAN, MAX_VERIFIERS, NO_OF_LANGUAGES, SIMPLIFIED_CHINESE, TRADITIONAL_CHINESE`

Constructor Summary
`nsDetector()`
`nsDetector(int langFlag)`

Method Summary
`boolean` | `DoIt(byte[] aBuf, int aLen, boolean oDontFeedMe)`
`void` | `Done()`
`void` | `Init(nsICharsetDetectionObserver aObserver)`
`boolean` | `isAscii(byte[] aBuf, int aLen)`
`void` | `Report(java.lang.String charset)`

Methods inherited from class com.knowgate.dfs.chardet.nsPSMDetector
`DataEnd, getProbableCharsets, HandleData, initVerifiers, Reset, Sample, Sample`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### nsDetector

    public nsDetector()

### nsDetector

    public nsDetector(int langFlag)

Method Detail

### Init

    public void Init(nsICharsetDetectionObserver aObserver)

  Specified by:
    `Init` in interface `nsICharsetDetector`

### DoIt

    public boolean DoIt(byte[] aBuf,
                        int aLen,
                        boolean oDontFeedMe)

  Specified by:
    `DoIt` in interface `nsICharsetDetector`

### Done

    public void Done()

  Specified by:
    `Done` in interface `nsICharsetDetector`

### Report

    public void Report(java.lang.String charset)

  Specified by:
    `Report` in class `nsPSMDetector`

### isAscii

    public boolean isAscii(byte[] aBuf,
                           int aLen)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD